# Quick Start

## Authentication

All DCKAP Integrator API's needs to be authenticated using [bearer token](/api/getting-started.md#authentication-using-bearer-token) or access token.

### Authentication using Bearer Token

{% hint style="success" %}
This is the recommended approach.
{% endhint %}

As a first step, bearer token should be generated from the DCKAP Integrator account. Refer the below link to fetch the access token.

{% content-ref url="/pages/-MITXHRrdaOA-01X5770" %}
[API Access Keys](/user-guide/api-access-keys.md)
{% endcontent-ref %}

Once the token is generated, it should be passed in the API request headers like below. The *{generated\_access\_token}* should be replaced with your token.

```
{
    Authorization: Bearer {generated_access_token}
}
```

## Bearer Token Example

<mark style="color:blue;">`GET`</mark> `https://integrator.dckap.com/api/sample/url`

#### Headers

| Name          | Type   | Description                         |
| ------------- | ------ | ----------------------------------- |
| Authorization | string | Bearer {*generated\_access\_token}* |

{% tabs %}
{% tab title="200 Successfull Response" %}

```
{}
```

{% endtab %}

{% tab title="401 Authentication Error" %}

```
{}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dckapintegrator.com/api/getting-started.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
